# Copyright by Marco Savegnago.  All rights reserved.
# This software may be freely distributed and used, but it may not
# under any circumstances be sold by anyone other than the author.
# It may be distributed by a commercial company as long as it is
# for no cost.

.AUTODEPEND

#		*Translator Definitions*
CC = bcc +UIDGCFG.CFG
TASM = tasm
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BORLANDC\LIB
INCLUDEPATH = C:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 profile.obj \
 ax25.obj \
 uidgcfg.obj

#		*Explicit Rules*
uidgcfg.exe: uidgcfg.cfg $(EXE_dependencies)
  $(TLINK) /x/c/P-/L$(LIBPATH) @&&|
c0s.obj+
profile.obj+
ax25.obj+
uidgcfg.obj
uidgcfg
		# no map file
graphics.lib+
cs.lib
|


#		*Individual File Dependencies*
profile.obj: uidgcfg.cfg profile.c 

ax25.obj: uidgcfg.cfg ax25.cpp 

uidgcfg.obj: uidgcfg.cfg uidgcfg.cpp 

#		*Compiler Configuration File*
uidgcfg.cfg: uidgcfg.mak
  copy &&|
-f-
-ff-
-v
-vi-
-wpro
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
-P-.C
| uidgcfg.cfg


